__gnu_cxx::throw_value_random(3cxx)

NAME
__gnu_cxx::throw_value_random - Type throwing via random condition.

SYNOPSIS

#include <throw_allocator.h>

Inherits __gnu_cxx::throw_value_base< random_condition >.

  Public Types

typedef throw_value_base< random_condition > base_type
typedef random_condition condition_type

  Public Member Functions

throw_value_random (const std::size_t __i)
throw_value_random (const throw_value_random &__other)
throw_value_random (throw_value_random &&)=default
throw_value_base & operator++ ()
throw_value_random & operator= (const throw_value_random &__other)
throw_value_random & operator= (throw_value_random &&)=default
void seed (unsigned long __s)

  Static Public Member Functions

static void set_probability (double __p)
static void throw_conditionally ()

  Public Attributes

std::size_t _M_i

Detailed Description

Type throwing via random condition.

Definition at line 774 of file throw_allocator.h.

Member Typedef Documentation

  typedef throw_value_base<random_condition> __gnu_cxx::throw_value_random::base_type

Definition at line 776 of file throw_allocator.h.

  typedef random_condition __gnu_cxx::throw_value_base< random_condition >::condition_type [inherited]

Definition at line 627 of file throw_allocator.h.

Constructor & Destructor Documentation

  __gnu_cxx::throw_value_random::throw_value_random () [inline]

Definition at line 779 of file throw_allocator.h.

  __gnu_cxx::throw_value_random::throw_value_random (const throw_value_random & __other) [inline]

Definition at line 781 of file throw_allocator.h.

  __gnu_cxx::throw_value_random::throw_value_random (const std::size_t __i) [inline], [explicit]

Definition at line 788 of file throw_allocator.h.

Member Function Documentation

  throw_value_base & __gnu_cxx::throw_value_base< random_condition >::operator++ () [inline], [inherited]

Definition at line 664 of file throw_allocator.h.

  throw_value_random & __gnu_cxx::throw_value_random::operator= (const throw_value_random & __other) [inline]

Definition at line 792 of file throw_allocator.h.

  void __gnu_cxx::random_condition::seed (unsigned long __s) [inline], [inherited]

Definition at line 558 of file throw_allocator.h.

  static void __gnu_cxx::random_condition::set_probability (double __p) [inline], [static], [inherited]

Definition at line 547 of file throw_allocator.h.

  static void __gnu_cxx::random_condition::throw_conditionally () [inline], [static], [inherited]

Definition at line 551 of file throw_allocator.h.

Member Data Documentation

  std::size_t __gnu_cxx::throw_value_base< random_condition >::_M_i [inherited]

Definition at line 631 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.